body {
  margin: 0;
  outline: 0;
  padding: 0;
  font-family: 'PT Sans', 'arial bold';
}

#boxLeft {
	float: left; 
	height: 100%;
	width: 460px;
}

#boxRight {
	height: 100%; 
	z-index: 99;
	overflow: hidden;
}

#boxInstructions {
	display: none;
	float: left; 
	width: 100%;
}

#boxInstructions span{
	background-color: rgb(207, 201, 222);
	color: #000000;
	float: left; 
	font-size: 0.9em;
	font-weight: bold;
	height: 30px; 
	padding: 0.1em 0.3em;
	width: 100%;
}

#boxInstructions .contentInstructions{
	background-color: rgb(221, 221, 221);
	color: #000000;
	float: left; 
	padding: 0.4em;
	width: 100%;
}

#boxInstructions .contentInstructions .imgPlayer{
	/*background: url(../img/sprite/sprite-60.png);
	background-position: 0 -120px;
	background-repeat: no-repeat;*/
	background: url(../img/character-pingui.png);
	float: left;
	width: 82px; 
	height: 99px;
}

#boxInstructions .contentInstructions p{
	background-color: #ffffff;
	border-radius: 10px;
	float: left;
	font-size: 1em;
	padding: 1em;
	width: 80%; 
}

.arrow-left {
	border-top: 10px solid transparent;
	border-bottom: 10px solid transparent; 
	border-right:10px solid white; 
	float: left;
	height: 0; 
	margin-top: 30px;
	width: 0; 
}

#blocklyDiv {
	float: left; 
	height: 500px; 
	margin-top: 10px;
	width: 100%;
}

#blocklyDiv .injectionDiv{
	clear: both; 
}

#panel-buttons button {
	font-family: 'PT Sans', sans-serif;
}

.infoBlockly1{
	background-color: rgb(118, 101, 160);
	color: #ffffff;
	float: left; 
	font-size: 0.9em;
	height: 30px; 
	padding-left: 1em;
	width: 40%;
}

.infoBlockly2{
	background-color: rgb(118, 101, 160);
	color: #ffffff;
	float: left; 
	font-size: 0.9em;
	height: 30px; 
	padding-left: 1em;
	width: 60%;
}

.infoBlockly3{
	color: #ffffff; 
	cursor: pointer;
	font-size: 0.9em;
	height: 30px; 
	position: absolute;
	right: 1em;
	text-decoration-line: underline;
}

#modalShowCode pre{
	height: 172px;
	position: absolute;
	right: 25px;
	top: 115px;
	width: 314px;
}

/* sortable drag and drop */
body.dragging, body.dragging * {
  cursor: move !important;
}

.dragged {
  position: absolute;
  opacity: 0.5;
  z-index: 2000;
}

ol.example li.placeholder {
  position: relative;
  /** More li styles **/
}
ol.example li.placeholder:before {
  position: absolute;
  /** Define arrowhead **/
}

#modalInfoCOP25, #modalSuccessCOP25, #modalErrorCOP25 {
    background: transparent;
	border: 0;
	box-shadow: none;
}

.modal-dialog {
	max-width: 600px;
	width: 600px;
}

.modal-content {
	height: 400px;
	max-height: 400px;
	max-width: 600px;
	width: 600px;
}

.modal-body {
	background-image: url(../img/modal-bg.png);
}

.modal-body h3 {
	font-size: 1.1em;
	font-weight: bold;
	line-height: 1.9em;
	position: absolute;
	right: 25px;
	text-align: center; 
	top: 51px;
	width: 314px;
}

.modal-body p {
	font-size: 1.1em;
	height: 172px;
	position: absolute;
	right: 25px;
	text-align: center; 
	top: 115px;
	width: 314px;
}

.modal-body .btn {
	font-size: 1.2em;
	height: 46px;
	position: absolute;
	right: 25px;
	text-align: center; 
	bottom: 25px;
	width: 128px;
}


.seaasd {
	background: url(../img/sprite/sea1.png) repeat;
	left: 0;
	position: absolute;
	width: 100%;
}
/*
#endSeaasda {
	background: url(../img/sprite/sea1.png) repeat;
	bottom: 0;
	height: 100%;
	left: 0;
	position: absolute;
	width: 100%;
	-webkit-animation: seamove 6s linear infinite;
	-moz-animation: seamove 6s linear infinite;
	animation: seamove 6s linear infinite;
}
*/

@-webkit-keyframes seamove {
	0% {
		background-position: 0 0;
	}
	100% {
		background-position: 100px 0;
	}
}

@-moz-keyframes seamove {
	0% {
		background-position: 0 0;
	}
	100% {
		background-position: 100px 0;
	}
}





#bgGame {
	width: 100%;
	height: 100%;
	background-image: url(../img/sprite/bg-sea-65.jpg);
	background-position: 0px 0px;
	background-repeat: repeat;
	animation: animatedBackground 50s linear infinite;
}




@-keyframes seamove {
	0% {
		background-position: 0 0;
	}
	100% {
		background-position: 100px 0;
	}
}

@keyframes animatedBackground {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 100% 0;
  }
}












/* navbar */
.bg-light-cop25
{
	background-color: #00adbc;
}

#nav-cop25 
{
	margin-bottom: 0.6em;
	padding: .22rem 1rem;
}

#nav-cop25 .navbar-brand 
{
	color: white; 
	position: absolute; 
}

#nav-cop25 .navbar-nav.mr-auto
{
	background-color: rgb(231, 232, 234);
	border: 1px solid rgb(198, 202, 205);
	border-radius: 5px;
	margin: 0 auto; 
	padding: 6px 2px 2px 6px; 
}

#nav-cop25 .nav-link
{
	background-color: #ffffff;
	border-radius: 10px;
	border: 1px solid rgb(198, 202, 205);
	color: #000000;
	height: 10px;
	line-height: 0px;
	margin: 6px 4px 2px 4px;
	padding: 0px 4px 8px 4px;
	text-align: center;
	width: 2px;
}

#nav-cop25 .nav-item.active .nav-link
{
	background-color: #ffffff;
	border-radius: 14px;
	color: #000000;
	font-size: 16px;
	font-weight: bold; 
	height: 26px;
	line-height: 6px;
	margin-top: -2px;
	padding: 8px;
	width: 26px;
}

#nav-cop25 .nav-item.optimizable .nav-link
{
	background-color: rgb(14, 190, 14);
	border-color: rgb(14, 190, 14);
	color: #ffffff;
}

#nav-cop25 .nav-item.complete .nav-link
{
	background-color: rgb(14, 120, 14);
	border-color: rgb(14, 120, 14);
	color: #ffffff;
}

#nav-cop25 .nav-item.active.two-numbers .nav-link
{
	padding-left: 3px;
}

.btn-play-yellow {
	background: url(../img/play.png) no-repeat;
	float: left;
	height: 21px;
	margin-right: 2px;
	margin-top: 5px;
	position: relative;
	width: 21px;
}

.btn-play-red {
	background: url(../img/play.png) no-repeat;
	float: left;
	height: 21px;
	margin-right: 2px;
	margin-top: 5px;
	position: relative;
	width: 21px;
}

.btn-refresh-purple {
	background: url(../img/refresh.png) no-repeat;
	float: left;
	height: 21px;
	margin-right: 2px;
	margin-top: 5px;
	position: relative;
	width: 21px;
}

.btn-cup {
	background: url(../img/cup.png) no-repeat;
	height: 25px;
	position: absolute;
	top: 2px;
	width: 26px;
}